Subject: Re: [Jsonpath] Milestones changed for jsonpath WG

From: Glyn Normington <[email-masked]>
Date: Mon, 2 Oct 2023 08:18:55 +0200

Hi Carsten

Thanks for that excellent summary for us uninitiated! It will be
fascinating to see what changes the RFC Editor makes (proposes?) with a
fresh pair of eyes.

Regards,
Glyn

On Mon, 2 Oct 2023, 06:48 Carsten Bormann, <[email-masked]> wrote:

> On 2. Oct 2023, at 06:26, Greg Dennis <gregsdennis=
> [email-masked]> wrote:
> >
> > So does that mean we have an official spec?
>
> Both jsonpath-base and iregexp are approved documents.
>
> (The milestone updates this is replying to are about events that already
> have happened earlier: submission of the documents to IESG, i.e., after the
> Working Group Last Call procedure completed.)
>
> > I don't see an RFC number or anything.
>
> You can see the status here:
>
>
> https://datatracker.ietf.org/doc/search?name=jsonpath&sort=&rfcs=on&activedrafts=on
>
> iregexp is in AUTH48, i.e., the RFC editor has completed their work and
> has had feedback with the authors with respect to the edits they have
> applied.  (Actually, it should be in AUTH48-DONE now; we are waiting for
> Murray’s final go ahead only.)  We already know the RFC number, but the RFC
> is not published yet; I’d expect this to happen approximately this week.
>
> Jsonpath-base is in EDIT, i.e., the RFC editor is editing it.  This will
> probably take a couple of months; I’d expect it to reach AUTH48 by
> December, and it probably will be published this year.
>
> The RFC editor page for the “cluster” of documents is at:
>
> https://www.rfc-editor.org/auth48/C490
> And yes, that cluster includes the first RFC-to-be that is relying on
> JSONPath, too!
>
> If you want to see the status of all documents currently being processed
> by the RFC editor in their various states, please look here:
> https://www.rfc-editor.org/current_queue.php#draft-ietf-jsonpath-base
>
> Grüße, Carsten
>
> --
> JSONpath mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jsonpath
>